@INPROCEEDINGS{seitz2006comparison,
	author={Seitz, Steven and Curless, Brian and Diebel, James and Scharstein, Daniel and Szeliski, Richard},
	booktitle={2006 IEEE Computer Society Conference on Computer Vision and Pattern Recognition (CVPR'06)},
	title={{A Comparison and Evaluation of Multi-View Stereo Reconstruction Algorithms}},
	year={2006},
	volume={1},
	pages={519--528},
	doi={10.1109/CVPR.2006.19},
	ISSN={1063-6919},
	month={June},
}

@Inbook{koch1998multi,
	author={Koch, Reinhard and Pollefeys, Marc and Van Gool, Luc},
	editor={Burkhardt, Hans and Neumann, Bernd},
	title={{Multi viewpoint stereo from uncalibrated video sequences}},
	bookTitle={Computer Vision --- ECCV'98: 5th European Conference on Computer Vision Freiburg, Germany, June, 2--6, 1998 Proceedings, Volume I},
	year={1998},
	publisher={Springer Berlin Heidelberg},
	address={Berlin, Heidelberg},
	pages={55--71},
	isbn={978-3-540-69354-3},
	doi={10.1007/BFb0055659},
	url={http://dx.doi.org/10.1007/BFb0055659},
}

@Article{pollefeys2004visual,
	author={Pollefeys, Marc and Van Gool, Luc and Vergauwen, Maarten and Verbiest, Frank and Cornelis, Kurt and Tops, Jan and Koch, Reinhard},
	title={{Visual Modeling with a Hand-Held Camera}},
	journal={International Journal of Computer Vision},
	year={2004},
	volume={59},
	number={3},
	pages={207--232},
	issn={1573-1405},
	doi={10.1023/B:VISI.0000025798.50602.3a},
	url={http://dx.doi.org/10.1023/B:VISI.0000025798.50602.3a},
}

@Inbook{fitzgibbon1998automatic,
	author={Fitzgibbon, Andrew and Zisserman, Andrew},
	editor={Burkhardt, Hans and Neumann, Bernd},
	title={{Automatic camera recovery for closed or open image sequences}},
	bookTitle={Computer Vision --- ECCV'98: 5th European Conference on Computer Vision Freiburg, Germany, June, 2--6, 1998 Proceedings, Volume I},
	year={1998},
	publisher={Springer Berlin Heidelberg},
	address={Berlin, Heidelberg},
	pages={311--326},
	isbn={978-3-540-69354-3},
	doi={10.1007/BFb0055675},
	url={http://dx.doi.org/10.1007/BFb0055675},
}

@Article{nutzi2011fusion,
	author={N{\"u}tzi, Gabriel and Weiss, Stephan and Scaramuzza, Davide and Siegwart, Roland},
	title={{Fusion of IMU and Vision for Absolute Scale Estimation in Monocular SLAM}},
	journal={Journal of Intelligent {\&} Robotic Systems},
	year={2011},
	volume={61},
	number={1},
	pages={287--299},
	issn={1573-0409},
	doi={10.1007/s10846-010-9490-z},
	url={http://dx.doi.org/10.1007/s10846-010-9490-z},
}

@INPROCEEDINGS{kleeman2003advanced,
	author={Kleeman, Lindsay},
	booktitle={Proceedings 2003 IEEE/RSJ International Conference on Intelligent Robots and Systems (IROS 2003) (Cat. No.03CH37453)},
	title={{Advanced sonar and odometry error modeling for simultaneous localisation and map building}},
	year={2003},
	volume={1},
	pages={699--704 vol.1},
	doi={10.1109/IROS.2003.1250711},
	month={Oct},
}

@inproceedings{abrate2007experimental,
	title={{Experimental EKF-based SLAM for Mini-rovers with IR Sensors Only.}},
	author={Abrate, Fabrizio and Bona, Basilio and Indri, Marina},
	booktitle={EMCR},
	year={2007},
	url={http://dblp.uni-trier.de/db/conf/emcr/emcr2007.html#AbrateBI07},
}

@INPROCEEDINGS{cole2006using,
	author={Cole, David and Newman, Paul},
	booktitle={Proceedings 2006 IEEE International Conference on Robotics and Automation, 2006. ICRA 2006.},
	title={{Using laser range data for 3D SLAM in outdoor environments}},
	year={2006},
	pages={1556--1563},
	doi={10.1109/ROBOT.2006.1641929},
	ISSN={1050-4729},
	month={May},
}

@phdthesis{carlson2010mapping,
	author={Carlson, Justin David},
	title={{Mapping Large, Urban Environments with GPS-Aided SLAM}},
	booktitle={},
	school={Robotics Institute, Carnegie Mellon University},
	month={August},
	year={2010},
	number={CMU-RI-TR-10-27},
	address={Pittsburgh, PA},
}

@INPROCEEDINGS{armesto2004encoder,
	author={Armesto, Leopoldo and Tornero, Josep},
	booktitle={2004 IEEE/RSJ International Conference on Intelligent Robots and Systems (IROS) (IEEE Cat. No.04CH37566)},
	title={{SLAM based on Kalman filter for multi-rate fusion of laser and encoder measurements}},
	year={2004},
	volume={2},
	pages={1860--1865 vol.2},
	doi={10.1109/IROS.2004.1389668},
	month={Sept},
}

@book{hartley2003multiple,
	author={Hartley, Richard and Zisserman, Andrew},
	title={{Multiple View Geometry in Computer Vision}},
	year={2003},
	isbn={0521540518},
	edition={2},
	publisher={Cambridge University Press},
	address={New York, NY, USA},
}

@book{trucco1998introductory,
	author={Trucco, Emanuele and Verri, Alessandro},
	title={{Introductory Techniques for 3-D Computer Vision}},
	year={1998},
	isbn={0132611082},
	publisher={Prentice Hall PTR},
	address={Upper Saddle River, NJ, USA},
}

@book{ma2003invitation,
	author={Ma, Yi and Soatto, Stefano and Kosecka, Jana and Sastry, Shankar},
	title={{An Invitation to 3-D Vision: From Images to Geometric Models}},
	year={2003},
	isbn={0387008934},
	publisher={SpringerVerlag},
}

@inproceedings{li2009robust,
	author={Li, Hao and Adams, Bart and Guibas, Leonidas and Pauly, Mark},
	title={{Robust Single-view Geometry and Motion Reconstruction}},
	booktitle={ACM SIGGRAPH Asia 2009 Papers},
	series={SIGGRAPH Asia '09},
	year={2009},
	isbn={978-1-60558-858-2},
	location={Yokohama, Japan},
	pages={175:1--175:10},
	articleno={175},
	numpages={10},
	url={http://doi.acm.org/10.1145/1661412.1618521},
	doi={10.1145/1661412.1618521},
	acmid={1618521},
	publisher={ACM},
	address={New York, NY, USA},
}

@ARTICLE{durrant2006simultaneous,
	author={Durrant-Whyte, Hugh and Bailey, Tim},
	journal={IEEE Robotics Automation Magazine},
	title={{Simultaneous localization and mapping: part I}},
	year={2006},
	volume={13},
	number={2},
	pages={99--110},
	doi={10.1109/MRA.2006.1638022},
	ISSN={1070-9932},
	month={June},
}

@ARTICLE{bailey2006simultaneous,
	author={Bailey, Tim and Durrant-Whyte, Hugh},
	journal={IEEE Robotics Automation Magazine},
	title={{Simultaneous localization and mapping (SLAM): part II}},
	year={2006},
	volume={13},
	number={3},
	pages={108--117},
	doi={10.1109/MRA.2006.1678144},
	ISSN={1070-9932},
	month={September},
}

@ARTICLE{mur2015,
	author={Mur{-}Artal, Ra{\'u}l and Montiel, Jos{\'e} M. M. and Tard{\'o}s, Juan D.},
	journal={IEEE Transactions on Robotics},
	title={{ORB-SLAM: A Versatile and Accurate Monocular SLAM System}},
	year={2015},
	volume={31},
	number={5},
	pages={1147--1163},
	doi={10.1109/TRO.2015.2463671},
	ISSN={1552-3098},
	month={Oct},
}

@INPROCEEDINGS{pire2015,
	author={Pire, Taih{\'u} and Fischer, Thomas and Civera, Javier and {De Crist{\'o}foris}, Pablo and Berlles, Julio Jacobo},
	booktitle={Proceedings of the IEEE/RSJ International Conference on Intelligent Robots and Systems (IROS)},
	title={{Stereo parallel tracking and mapping for robot localization}},
	year={2015},
	pages={1373--1378},
	url={http://dx.doi.org/10.1109/IROS.2015.7353546},
	doi={10.1109/IROS.2015.7353546},
	month={September},
}

@INPROCEEDINGS{tan2013robust,
	author={Tan, Wei and Liu, Haomin and Dong, Zilong and Zhang, Guofeng and Bao, Hujun},
	booktitle={2013 IEEE International Symposium on Mixed and Augmented Reality (ISMAR)},
	title={{Robust monocular SLAM in dynamic environments}},
	year={2013},
	pages={209--218},
	doi={10.1109/ISMAR.2013.6671781},
	month={Oct},
}

@incollection{Murphy:etal:TAR13,
	year={2013},
	isbn={978-3-319-00064-0},
	booktitle={Experimental Robotics},
	volume={88},
	series={Springer Tracts in Advanced Robotics},
	editor={Desai, Jaydev P. and Dudek, Gregory and Khatib, Oussama and Kumar, Vijay},
	doi={10.1007/978-3-319-00065-7_58},
	title={{Experimental Comparison of Odometry Approaches}},
	url={http://dx.doi.org/10.1007/978-3-319-00065-7_58},
	publisher={Springer International Publishing},
	author={Murphy, Liz and Morris, Timothy and Fabrizi, Ugo and Warren, Michael and Milford, Michael and Upcroft, Ben and Bosse, Michael and Corke, Peter},
	pages={877--890},
	language={English},
}

@Inbook{geiger2010efficient,
	author={Geiger, Andreas and Roser, Martin and Urtasun, Raquel},
	editor={Kimmel, Ron and Klette, Reinhard and Sugimoto, Akihiro},
	title={{Efficient Large-Scale Stereo Matching}},
	bookTitle={Computer Vision -- ACCV 2010: 10th Asian Conference on Computer Vision, Queenstown, New Zealand, November 8-12, 2010, Revised Selected Papers, Part I},
	year={2011},
	publisher={Springer Berlin Heidelberg},
	address={Berlin, Heidelberg},
	pages={25--38},
	isbn={978-3-642-19315-6},
	doi={10.1007/978-3-642-19315-6_3},
	url={http://dx.doi.org/10.1007/978-3-642-19315-6_3},
}

@INPROCEEDINGS{kim2005gaussian,
	author={Kim, Jangheon and Sikora, Thomas},
	booktitle={Fifth International Conference on 3-D Digital Imaging and Modeling (3DIM'05)},
	title={{Gaussian scale-space dense disparity estimation with anisotropic disparity-field diffusion}},
	year={2005},
	pages={556-563},
	doi={10.1109/3DIM.2005.50},
	ISSN={1550-6185},
	month={June},
}

@inproceedings{,
	title={PDE-based multi-view depth estimation},
	author={Strecha, Christoph and Van Gool, Luc},
	booktitle={3D Data Processing Visualization and Transmission, 2002. Proceedings. First International Symposium on},
	pages={416--425},
	year={2002},
	organization={IEEE},
}

@INPROCEEDINGS{strecha2002pde,
	author={Strecha, Christoph and Van Gool, Luc},
	booktitle={Proceedings. First International Symposium on 3D Data Processing Visualization and Transmission},
	title={{PDE-based multi-view depth estimation}},
	year={2002},
	pages={416-425},
	doi={10.1109/TDPVT.2002.1024097},
	month={},
}

@INPROCEEDINGS{chakrabarti2015low,
	author={Chakrabarti, Ayan and Xiong, Ying and Gortler, Steven and Zickler, Todd},
	booktitle={2015 IEEE Conference on Computer Vision and Pattern Recognition (CVPR)},
	title={{Low-level vision by consensus in a spatial hierarchy of regions}},
	year={2015},
	pages={4009--4017},
	doi={10.1109/CVPR.2015.7299027},
	ISSN={1063-6919},
	month={June},
}

@INPROCEEDINGS{yamaguchi2013robust,
	author={Yamaguchi, Koichiro and McAllester, David and Urtasun, Raquel},
	booktitle={2013 IEEE Conference on Computer Vision and Pattern Recognition},
	title={{Robust Monocular Epipolar Flow Estimation}},
	year={2013},
	pages={1862--1869},
	doi={10.1109/CVPR.2013.243},
	ISSN={1063-6919},
	month={June},
}

@Inbook{yamaguchi2014efficient,
	author={Yamaguchi, Koichiro and McAllester, David and Urtasun, Raquel},
	editor={Fleet, David and Pajdla, Tomas and Schiele, Bernt and Tuytelaars, Tinne},
	title={{Efficient Joint Segmentation, Occlusion Labeling, Stereo and Flow Estimation}},
	bookTitle={Computer Vision -- ECCV 2014: 13th European Conference, Zurich, Switzerland, September 6-12, 2014, Proceedings, Part V},
	year={2014},
	publisher={Springer International Publishing},
	address={Cham},
	pages={756--771},
	isbn={978-3-319-10602-1},
	doi={10.1007/978-3-319-10602-1_49},
	url={http://dx.doi.org/10.1007/978-3-319-10602-1_49},
}

@article{kendall2017end,
	title={{End-to-End Learning of Geometry and Context for Deep Stereo Regression}},
	author={Kendall, Alex and Martirosyan, Hayk and Dasgupta, Saumitro and Henry, Peter and Kennedy, Ryan and Bachrach, Abraham and Bry, Adam},
	journal={arXiv preprint arXiv:1703.04309},
	year={2017}
}

@INPROCEEDINGS{luo2016efficient,
	author={W. Luo and A. G. Schwing and R. Urtasun},
	booktitle={2016 IEEE Conference on Computer Vision and Pattern Recognition (CVPR)},
	title={{Efficient Deep Learning for Stereo Matching}},
	year={2016},
	pages={5695--5703},
	doi={10.1109/CVPR.2016.614},
	month={June},
}

@INPROCEEDINGS{mayer2016large,
	author={Mayer, Nikolaus and Ilg, Eddy and H{\"a}usser, Philip and Fischer, Philipp and Cremers, Daniel and Dosovitskiy, Alexey and Brox, Thomas},
	booktitle={2016 IEEE Conference on Computer Vision and Pattern Recognition (CVPR)},
	title={{A Large Dataset to Train Convolutional Networks for Disparity, Optical Flow, and Scene Flow Estimation}},
	year={2016},
	pages={4040--4048},
	doi={10.1109/CVPR.2016.438},
	month={June},
}

@Article{scharstein2002taxonomy,
	author={Scharstein, Daniel and Szeliski, Richard},
	title={{A Taxonomy and Evaluation of Dense Two-Frame Stereo Correspondence Algorithms}},
	journal={International Journal of Computer Vision},
	year={2002},
	volume={47},
	number={1},
	pages={7--42},
	issn={1573-1405},
	doi={10.1023/A:1014573219977},
	url={http://dx.doi.org/10.1023/A:1014573219977},
}

@article{lazaros2008review,
	author={Lazaros, Nalpantidis and Sirakoulis, Georgios Christou and Gasteratos, Antonios},
	title={{Review of Stereo Vision Algorithms: From Software to Hardware}},
	journal={International Journal of Optomechatronics},
	volume={2},
	number={4},
	pages={435--462},
	year={2008},
	doi={10.1080/15599610802438680},
	URL={http://dx.doi.org/10.1080/15599610802438680},
}

@INPROCEEDINGS{geiger2011stereoscan,
	author={Geiger, Andreas and Ziegler, Julius and Stiller, Christoph},
	booktitle={2011 IEEE Intelligent Vehicles Symposium (IV)},
	title={{StereoScan: Dense 3d reconstruction in real-time}},
	year={2011},
	pages={963--968},
	doi={10.1109/IVS.2011.5940405},
	ISSN={1931-0587},
	month={June},
}

@INPROCEEDINGS{jung2003high,
	author={Jung, Il-Kyun and Lacroix, Simon},
	booktitle={Proceedings Ninth IEEE International Conference on Computer Vision},
	title={{High resolution terrain mapping using low attitude aerial stereo imagery}},
	year={2003},
	pages={946--951 vol.2},
	doi={10.1109/ICCV.2003.1238450},
	month={Oct},
}

@inproceedings{paalanen2008towards,
	title={{Towards Monocular On-Line 3D Reconstruction}},
	author={Paalanen, Pekka and Kyrki, Ville and Kamarainen, Joni-Kristian},
	url={https://hal.inria.fr/inria-00325795},
	booktitle={{Workshop on Vision in Action: Efficient strategies for cognitive agents in complex environments}},
	address={Marseille, France},
	organization={{Markus Vincze and Danica Kragic and Darius Burschka and Antonis Argyros}},
	year={2008},
	month={Oct},
}

@inproceedings{upadhyay2015trajectory,
	title={Trajectory planning for monocular SLAM based exploration system},
	author={Upadhyay, Sarthak and Dewan, Ayush and Singh, Arun Kumar and Krishna, Madhava},
	booktitle={Proceedings of the 2015 Conference on Advances In Robotics},
	pages={27},
	year={2015},
	organization={ACM}
}

@inproceedings{Upadhyay:2015:TPM:2783449.2783476,
	author={Upadhyay, Sarthak and Dewan, Ayush and Singh, Arun Kumar and Krishna, Madhava},
	title={{Trajectory Planning for Monocular SLAM Based Exploration System}},
	booktitle={Proceedings of the 2015 Conference on Advances In Robotics},
	series={AIR '15},
	year={2015},
	isbn={978-1-4503-3356-6},
	location={Goa, India},
	pages={27:1--27:6},
	articleno={27},
	numpages={6},
	url={http://doi.acm.org/10.1145/2783449.2783476},
	doi={10.1145/2783449.2783476},
	acmid={2783476},
	publisher={ACM},
	address={New York, NY, USA},
}

@Inbook{toldo2008robust,
	author={Toldo, Roberto and Fusiello, Andrea},
	editor={Forsyth, David and Torr, Philip and Zisserman, Andrew},
	title={Robust Multiple Structures Estimation with J-Linkage},
	bookTitle={Computer Vision -- ECCV 2008: 10th European Conference on Computer Vision, Marseille, France, October 12-18, 2008, Proceedings, Part I},
	year={2008},
	publisher={Springer Berlin Heidelberg},
	address={Berlin, Heidelberg},
	pages={537--547},
	isbn={978-3-540-88682-2},
	doi={10.1007/978-3-540-88682-2_41},
	url={http://dx.doi.org/10.1007/978-3-540-88682-2_41},
}

@INPROCEEDINGS{argiles2011dense,
	author={Argiles, Alberto and Civera, Javier and Montesano, Luis},
	booktitle={2011 IEEE/RSJ International Conference on Intelligent Robots and Systems},
	title={{Dense multi-planar scene estimation from a sparse set of images}},
	year={2011},
	pages={4448--4454},
	doi={10.1109/IROS.2011.6094458},
	ISSN={2153-0858},
	month={Sept},
}

@article{fischler1981random,
	author={Fischler, Martin and Bolles, Robert},
	title={{Random Sample Consensus: A Paradigm for Model Fitting with Applications to Image Analysis and Automated Cartography}},
	journal={Commun. ACM},
	issue_date={June 1981},
	volume={24},
	number={6},
	month=jun,
	year={1981},
	issn={0001-0782},
	pages={381--395},
	numpages={15},
	url={http://doi.acm.org/10.1145/358669.358692},
	doi={10.1145/358669.358692},
	acmid={358692},
	publisher={ACM},
	address={New York, NY, USA},
}

@INPROCEEDINGS{newcombe2010live,
	author={Newcombe, Richard and Davison, Andrew},
	booktitle={2010 IEEE Computer Society Conference on Computer Vision and Pattern Recognition},
	title={{Live dense reconstruction with a single moving camera}},
	year={2010},
	pages={1498--1505},
	doi={10.1109/CVPR.2010.5539794},
	ISSN={1063-6919},
	month={June},
}

@INPROCEEDINGS{teixeira2016real,
	author={Teixeira, Lucas and Chli, Margarita},
	booktitle={2016 IEEE/RSJ International Conference on Intelligent Robots and Systems (IROS)},
	title={{Real-time mesh-based scene estimation for aerial inspection}},
	year={2016},
	pages={4863--4869},
	doi={10.1109/IROS.2016.7759714},
	month={Oct},
}

@inproceedings{pan2009proforma,
	title={{ProFORMA: Probabilistic Feature-based On-line Rapid Model Acquisition.}},
	author={Pan, Qi and Reitmayr, Gerhard and Drummond, Tom},
	booktitle={BMVC},
	volume={2},
	pages={6},
	year={2009},
	organization={Citeseer}
}

@Article{felzenszwalb2004efficient,
	author={Felzenszwalb, Pedro and Huttenlocher, Daniel},
	title={{Efficient Graph-Based Image Segmentation}},
	journal={International Journal of Computer Vision},
	year={2004},
	volume={59},
	number={2},
	pages={167--181},
	issn={1573-1405},
	doi={10.1023/B:VISI.0000022288.19776.77},
	url={http://dx.doi.org/10.1023/B:VISI.0000022288.19776.77},
}

@INPROCEEDINGS{mori2005guiding,
	author={Mori, Greg},
	booktitle={Tenth IEEE International Conference on Computer Vision (ICCV'05) Volume 1},
	title={{Guiding model search using segmentation}},
	year={2005},
	volume={2},
	pages={1417--1423 Vol. 2},
	doi={10.1109/ICCV.2005.112},
	ISSN={1550-5499},
	month={Oct},
}

@ARTICLE{levinshtein2009turbopixels,
	author={Levinshtein, Alex and Stere, Adrian and Kutulakos, Kiriakos and Fleet, David and Dickinson, Sven and Siddiqi, Kaleem},
	journal={IEEE Transactions on Pattern Analysis and Machine Intelligence},
	title={{TurboPixels: Fast Superpixels Using Geometric Flows}},
	year={2009},
	volume={31},
	number={12},
	pages={2290--2297},
	doi={10.1109/TPAMI.2009.96},
	ISSN={0162-8828},
	month={Dec},
}

@Inbook{vedaldi2008quick,
	author={Vedaldi, Andrea and Soatto, Stefano},
	editor={Forsyth, David and Torr, Philip and Zisserman, Andrew},
	title={Quick Shift and Kernel Methods for Mode Seeking},
	bookTitle={Computer Vision -- ECCV 2008: 10th European Conference on Computer Vision, Marseille, France, October 12-18, 2008, Proceedings, Part IV},
	year={2008},
	publisher={Springer Berlin Heidelberg},
	address={Berlin, Heidelberg},
	pages={705--718},
	isbn={978-3-540-88693-8},
	doi={10.1007/978-3-540-88693-8_52},
	url={http://dx.doi.org/10.1007/978-3-540-88693-8_52},
}


@ARTICLE{achanta2012slic,
	author={Achanta, Radhakrishna and Shaji, Appu and Smith, Kevin and Lucchi, Aurelien and Fua, Pascal and S{\"u}sstrunk, Sabine},
	journal={IEEE Transactions on Pattern Analysis and Machine Intelligence},
	title={{SLIC Superpixels Compared to State-of-the-Art Superpixel Methods}},
	year={2012},
	volume={34},
	number={11},
	pages={2274--2282},
	doi={10.1109/TPAMI.2012.120},
	ISSN={0162-8828},
	month={Nov},
}

@INPROCEEDINGS{concha2014using,
	author={Concha, Alejo and Civera, Javier},
	booktitle={2014 IEEE International Conference on Robotics and Automation (ICRA)},
	title={{Using superpixels in monocular SLAM}},
	year={2014},
	pages={365--372},
	doi={10.1109/ICRA.2014.6906883},
	ISSN={1050-4729},
	month={May},
}

@inproceedings{Klein:Murray:ISMAR07,
	author={Klein, Georg and Murray, David},
	title={{Parallel Tracking and Mapping for Small AR Workspaces}},
	booktitle={ISMAR},
	year={2007},
	isbn={978-1-4244-1749-0},
	pages={1--10},
	numpages={10},
	url={http://dx.doi.org/10.1109/ISMAR.2007.4538852},
	doi={10.1109/ISMAR.2007.4538852},
	acmid={1514363},
	publisher={IEEE Computer Society},
	address={Washington, DC, USA},
}

@INPROCEEDINGS{newcombe2011dtam,
	author={Newcombe, Richard and Lovegrove, Steven and Davison, Andrew},
	booktitle={2011 International Conference on Computer Vision},
	title={{DTAM: Dense tracking and mapping in real-time}},
	year={2011},
	pages={2320--2327},
	doi={10.1109/ICCV.2011.6126513},
	ISSN={1550-5499},
	month={Nov},
}

@INPROCEEDINGS{concha2015dpptam,
	author={Concha, Alejo and Civera, Javier},
	booktitle={2015 IEEE/RSJ International Conference on Intelligent Robots and Systems (IROS)},
	title={{DPPTAM: Dense piecewise planar tracking and mapping from a monocular sequence}},
	year={2015},
	pages={5686--5693},
	doi={10.1109/IROS.2015.7354184},
	month={Sept},
}

@INPROCEEDINGS{civera2011towards,
	author={Civera, Javier and G{\'a}lvez-L{\'o}pez, Dorian and Riazuelo, Luis and Tard{\'o}s, Juan and Montiel, José},
	booktitle={2011 IEEE/RSJ International Conference on Intelligent Robots and Systems},
	title={{Towards semantic SLAM using a monocular camera}},
	year={2011},
	pages={1277--1284},
	doi={10.1109/IROS.2011.6094648},
	ISSN={2153-0858},
	month={Sept},
}

@INPROCEEDINGS{salas2013slam++,
	author={Salas-Moreno, Renato and Newcombe, Richard and Strasdat, Hauke and Kelly, Paul and Davison, Andrew},
	booktitle={2013 IEEE Conference on Computer Vision and Pattern Recognition},
	title={{SLAM++: Simultaneous Localisation and Mapping at the Level of Objects}},
	year={2013},
	pages={1352--1359},
	doi={10.1109/CVPR.2013.178},
	ISSN={1063-6919},
	month={June},
}

@INPROCEEDINGS{hedau2009recovering,
	author={Hedau, Varsha and Hoiem, Derek and Forsyth, David},
	booktitle={2009 IEEE 12th International Conference on Computer Vision},
	title={{Recovering the spatial layout of cluttered rooms}},
	year={2009},
	pages={1849--1856},
	doi={10.1109/ICCV.2009.5459411},
	ISSN={1550-5499},
	month={Sept},
}

@INPROCEEDINGS{flint2011manhattan,
	author={Flint, Alex and Murray, David and Reid, Ian},
	booktitle={2011 International Conference on Computer Vision},
	title={{Manhattan scene understanding using monocular, stereo, and 3D features}},
	year={2011},
	pages={2228--2235},
	doi={10.1109/ICCV.2011.6126501},
	ISSN={1550-5499},
	month={Nov},
}

@INPROCEEDINGS{yingze2013dense,
	author={Yingze Bao, Sid and Chandraker, Manmohan and Lin, Yuanqing and Savarese, Silvio},
	booktitle={2013 IEEE Conference on Computer Vision and Pattern Recognition},
	title={{Dense Object Reconstruction with Semantic Priors}},
	year={2013},
	pages={1264--1271},
	doi={10.1109/CVPR.2013.167},
	ISSN={1063-6919},
	month={June},
}

@INPROCEEDINGS{vineet2015incremental,
	author={Vineet, Vibhav and Miksik, Ondrej and Lidegaard, Morten and Nie{\ss}ner, Matthias and Golodetz, Stuart and Prisacariu, Victor and K{\"a}hler, Olaf and Murray, David and Izadi, Shahram and P{\'e}rez, Patrick and others},
	booktitle={2015 IEEE International Conference on Robotics and Automation (ICRA)},
	title={{Incremental dense semantic stereo fusion for large-scale semantic scene reconstruction}},
	year={2015},
	pages={75--82},
	doi={10.1109/ICRA.2015.7138983},
	ISSN={1050-4729},
	month={May},
}

@Inbook{stuhmer2010real,
	author={St{\"u}hmer, Jan and Gumhold, Stefan and Cremers, Daniel},
	editor={Goesele, Michael and Roth, Stefan and Kuijper, Arjan and Schiele, Bernt and Schindler, Konrad},
	title={{Real-Time Dense Geometry from a Handheld Camera}},
	bookTitle={Pattern Recognition: 32nd DAGM Symposium, Darmstadt, Germany, September 22-24, 2010. Proceedings},
	year={2010},
	publisher={Springer Berlin Heidelberg},
	address={Berlin, Heidelberg},
	pages={11--20},
	isbn={978-3-642-15986-2},
	doi={10.1007/978-3-642-15986-2_2},
	url={http://dx.doi.org/10.1007/978-3-642-15986-2_2},
}

@INPROCEEDINGS{graber2011online,
	author={Graber, Gottfried and Pock, Thomas and Bischof, Horst},
	booktitle={2011 IEEE International Conference on Computer Vision Workshops (ICCV Workshops)},
	title={{Online 3D reconstruction using convex optimization}},
	year={2011},
	pages={708--711},
	doi={10.1109/ICCVW.2011.6130318},
	month={Nov},
}

@article{geiger2013vision,
	author = {Geiger, Andreas and Lenz, Philip and Stiller, Christoph and Urtasun, Raquel},
	title = {{Vision Meets Robotics: The KITTI Dataset}},
	journal = {The International Journal of Robotics Research, IJRR},
	volume = {32},
	number = {11},
	month = {September},
	year = {2013},
	issn = {0278-3649},
	pages = {1231--1237},
	numpages = {7},
	url = {http://dx.doi.org/10.1177/0278364913491297},
	doi = {10.1177/0278364913491297},
	acmid = {2528333},
	publisher = {Sage Publications, Inc.},
	address = {Thousand Oaks, CA, USA},
}

@INPROCEEDINGS{peris2012towards,
	author={M. Peris and S. Martull and A. Maki and Y. Ohkawa and K. Fukui},
	booktitle={Proceedings of the 21st International Conference on Pattern Recognition (ICPR)},
	title={{Towards a simulation driven stereo vision system}},
	year={2012},
	pages={1038--1042},
	doi = {10.1109/CIM.1990.128110},
	ISSN={1051-4651},
	month={November}
}

@INPROCEEDINGS{engel2015large,
	author={Engel, Jakob and St{\"u}ckler, J{\"o}rg and Cremers, Daniel},
	booktitle={2015 IEEE/RSJ International Conference on Intelligent Robots and Systems (IROS)},
	title={Large-scale direct SLAM with stereo cameras},
	year={2015},
	pages={1935--1942},
	doi={10.1109/IROS.2015.7353631},
	month={Sept},
}

@inproceedings{mur2015probabilistic,
	author={Mur{-}Artal, Raul and Tard{\'{o}}s, Juan},
	title={{Probabilistic Semi-Dense Mapping from Highly Accurate Feature-Based Monocular SLAM}},
	booktitle={Robotics: Science and Systems XI, Sapienza University of Rome, Rome, Italy, July 13-17, 2015},
	year={2015},
	url={http://www.roboticsproceedings.org/rss11/p41.html},
}

@Inbook{engel2014lsd,
	author={Engel, Jakob and Sch{\"o}ps, Thomas and Cremers, Daniel},
	editor={Fleet, David and Pajdla, Tomas and Schiele, Bernt and Tuytelaars, Tinne},
	title={{LSD-SLAM: Large-Scale Direct Monocular SLAM}},
	bookTitle={Computer Vision -- ECCV 2014: 13th European Conference, Zurich, Switzerland, September 6-12, 2014, Proceedings, Part II},
	year={2014},
	publisher={Springer International Publishing},
	address={Cham},
	pages={834--849},
	isbn={978-3-319-10605-2},
	doi={10.1007/978-3-319-10605-2_54},
	url={http://dx.doi.org/10.1007/978-3-319-10605-2_54},
}

@INPROCEEDINGS{caruso2015large,
	author={Caruso, David and Engel, Jakob and Cremers, Daniel},
	booktitle={2015 IEEE/RSJ International Conference on Intelligent Robots and Systems (IROS)},
	title={{Large-scale direct SLAM for omnidirectional cameras}},
	year={2015},
	pages={141--148},
	doi={10.1109/IROS.2015.7353366},
	month={Sept},
}

@INPROCEEDINGS{concha2016visual,
	author={Concha, Alejo and Loianno, Giuseppe and Kumar, Vijay and Civera, Javier},
	booktitle={2016 IEEE International Conference on Robotics and Automation (ICRA)},
	title={{Visual-inertial direct SLAM}},
	year={2016},
	pages={1331--1338},
	doi={10.1109/ICRA.2016.7487266},
	month={May},
}

@book{varadarajan1984lie,
	title={Lie Groups, Lie Algebras, and Their Representations},
	author={Varadarajan, Veeravalli S.},
	isbn={9780387909691},
	lccn={lc84001381},
	series={Graduate Texts in Mathematics},
	year={1984},
	publisher={Springer-Verlag New York},
	doi={10.1007/978-1-4612-1126-6}
}

@Inbook{konolige1998small,
	author={Konolige, Kurt},
	editor={Shirai, Yoshiaki and Hirose, Shigeo},
	title={{Small Vision Systems: Hardware and Implementation}},
	bookTitle={Robotics Research: The Eighth International Symposium},
	year={1998},
	publisher={Springer London},
	address={London},
	pages={203--212},
	isbn={978-1-4471-1580-9},
	doi={10.1007/978-1-4471-1580-9_19},
	url={http://dx.doi.org/10.1007/978-1-4471-1580-9_19},
}

@article{delaunay1934sphere,
	author={Delaunay, Boris},
	title={{Sur la sphère vide}},
	journal={Otdelenie Matematicheskikh i Estestvennykh Nauk},
	publisher={Izvestia Akademii Nauk SSSR},
	year={1934},
	volume={8},
	pages={793-800},
}

@inproceedings{martull2012realistic,
	title={{Realistic CG stereo image dataset with ground truth disparity maps}},
	author={Martull, Sarah and Peris, Martin and Fukui, Kazuhiro},
	booktitle={ICPR workshop TrakMark2012},
	volume={111},
	number={430},
	pages={117--118},
	year={2012}
}

@conference {Quigley:etal:ICRA09,
	title = {{ROS: an open-source Robot Operating System}},
	booktitle = {ICRA Workshop on Open Source Software},
	year = {2009},
	attachments = {http://www.willowgarage.com/sites/default/files/icraoss09-ROS.pdf},
	author = {Morgan Quigley and Ken Conley and Brian P. Gerkey and Josh Faust and Tully Foote and Jeremy Leibs and Rob Wheeler and Andrew Y. Ng}
}

@article{bradski2000opencv,
	title={{The opencv library}},
	author={Bradski, Gary and others},
	journal={Doctor Dobbs Journal},
	volume={25},
	number={11},
	pages={120--126},
	year={2000},
	publisher={M AND T PUBLISHING INC}
}

@INPROCEEDINGS{rusu2011pcl,
	author={R. B. Rusu and S. Cousins},
	booktitle={2011 IEEE International Conference on Robotics and Automation},
	title={3D is here: Point Cloud Library (PCL)},
	year={2011},
	pages={1--4},
	doi={10.1109/ICRA.2011.5980567},
	ISSN={1050-4729},
	month={May},
}

@article{Lowe::IJCV04,
	year={2004},
	issn={0920-5691},
	journal={International Journal of Computer Vision},
	volume={60},
	number={2},
	doi={10.1023/B:VISI.0000029664.99615.94},
	title={{Distinctive Image Features from Scale-Invariant Keypoints}},
	publisher={Kluwer Academic Publishers},
	author={Lowe, David G.},
	pages={91--110},
	language={English}
}

@incollection{Bay:etal:ECCV06,
	year={2006},
	isbn={978-3-540-33832-1},
	booktitle={Proceedings of the European Conference on Computer Vision (ECCV)},
	volume={3951},
	series={Lecture Notes in Computer Science},
	doi={10.1007/11744023_32},
	title={{SURF: Speeded Up Robust Features}},
	url={http://dx.doi.org/10.1007/11744023_32},
	publisher={Springer Berlin Heidelberg},
	author={Bay, Herbert and Tuytelaars, Tinne and Van Gool, Luc},
	pages={404--417},
	language={English}
}


@inproceedings{Alcantarilla:etal:ECCV12,
	author = {Alcantarilla, Pablo Fern{\'a}ndez and Bartoli, Adrien and Davison, Andrew J.},
	title = {{KAZE Features}},
	booktitle = {Proceedings of the 12th European Conference on Computer Vision - Volume Part VI},
	series = {Proceedings of the European Conference on Computer Vision (ECCV)},
	year = {2012},
	isbn = {978-3-642-33782-6},
	location = {Florence, Italy},
	pages = {214--227},
	numpages = {14},
	url = {http://dx.doi.org/10.1007/978-3-642-33783-3_16},
	doi = {10.1007/978-3-642-33783-3_16},
	acmid = {2403222},
	publisher = {Springer-Verlag},
	address = {Berlin, Heidelberg}
}

@inproceedings{Alcantarilla:etal:BMVC13,
	author = {Alcantarilla, Pablo F. and Nuevo, Jesus and Bartoli, Adrien},
	title = {{Fast Explicit Diffusion for Accelerated Features in Nonlinear Scale Spaces}},
	booktitle = {Proceedings of the British Machine Vision Conference (BMVC)},
	location = {Bristol, UK},
	year = {2013},
	publisher = {BMVA Press},
	editors={Burghardt, Tilo and Damen, Dima and Mayol-Cuevas, Walterio and Mirmehdi, Majid}
}

@ARTICLE{cadena2016pastpresentfutureslam,
	author={C. Cadena and L. Carlone and H. Carrillo and Y. Latif and D. Scaramuzza and J. Neira and I. Reid and J. J. Leonard},
	journal={IEEE Transactions on Robotics},
	title={{Past, Present, and Future of Simultaneous Localization and Mapping: Toward the Robust-Perception Age}},
	year={2016},
	volume={32},
	number={6},
	pages={1309--1332},
	doi={10.1109/TRO.2016.2624754},
	ISSN={1552-3098},
	month={Dec},
}

@incollection{Rosten:Drummond:ECCV06,
	year={2006},
	isbn={978-3-540-33832-1},
	booktitle={Proceedings of the European Conference on Computer Vision (ECCV)},
	volume={3951},
	series={Lecture Notes in Computer Science},
	doi={10.1007/11744023_34},
	title={{Machine Learning for High-Speed Corner Detection}},
	url={http://dx.doi.org/10.1007/11744023_34},
	publisher={Springer Berlin Heidelberg},
	author={Rosten, Edward and Drummond, Tom},
	pages={430--443},
	language={English}
}

@InProceedings{engel2016dso,
	author={Engel, Jakob and Koltun, Vladlen and Cremers, Daniel},
	title={{Direct Sparse Odometry}},
	booktitle={arXiv:1607.02565},
	arXiv={arXiv:1607.02565},
	year={2016},
	month={July},
	keywords={mono-ds,dso}
}

@Article{Lemaire2007,
	author={Lemaire, Thomas and Berger, Cyrille and Jung, Il-Kyun and Lacroix, Simon},
	title={{Vision-Based SLAM: Stereo and Monocular Approaches}},
	journal={International Journal of Computer Vision},
	year={2007},
	volume={74},
	number={3},
	pages={343--364},
	issn={1573-1405},
	doi={10.1007/s11263-007-0042-3},
	url={http://dx.doi.org/10.1007/s11263-007-0042-3},
}

@INPROCEEDINGS{Tomono2009,
	author={M. Tomono},
	booktitle={2009 IEEE International Conference on Robotics and Automation},
	title={{Robust 3D SLAM with a stereo camera based on an edge-point ICP algorithm}},
	year={2009},
	pages={4306--4311},
	doi={10.1109/ROBOT.2009.5152529},
	ISSN={1050-4729},
	month={May},
}

@INPROCEEDINGS{LinWang2010,
	author={Lin, Kuen-Han and Wang, Chieh-Chih},
	booktitle={2010 IEEE/RSJ International Conference on Intelligent Robots and Systems},
	title={{Stereo-based simultaneous localization, mapping and moving object tracking}},
	year={2010},
	pages={3975--3980},
	doi={10.1109/IROS.2010.5649653},
	ISSN={2153-0858},
	month={Oct},
}

@INPROCEEDINGS{Mouragnon2006,
	author={Mouragnon, Etienne and Lhuillier, Maxime and Dhome, Michel and Dekeyser, Fabien and Sayd, Patrick},
	booktitle={18th International Conference on Pattern Recognition (ICPR'06)},
	title={{Monocular Vision Based SLAM for Mobile Robots}},
	year={2006},
	volume={3},
	pages={1027--1031},
	doi={10.1109/ICPR.2006.810},
	ISSN={1051-4651},
	month={},
}

@ARTICLE{Hwang2011,
	author={Hwang, Seo-Yeon and Song, Jae-Bok},
	journal={IEEE Transactions on Industrial Electronics},
	title={{Monocular Vision-Based SLAM in Indoor Environment Using Corner, Lamp, and Door Features From Upward-Looking Camera}},
	year={2011},
	volume={58},
	number={10},
	pages={4804--4812},
	doi={10.1109/TIE.2011.2109333},
	ISSN={0278-0046},
	month={Oct},
}

@article{fast2005,
author = {Rosten, Edward and Drummond, T},
year = {2005},
month = {11},
pages = {1508 - 1515 Vol. 2},
title = {Fusing points and lines for high performance tracking},
volume = {2},
isbn = {0-7695-2334-X},
booktitle = {Proceedings of the IEEE International Conference on Computer Vision}
}

@article{agast2010,
author = {Mair, Elmar and Hager, Gregory and Burschka, Darius and Suppa, Michael and Hirzinger, Gerhard},
year = {2010},
month = {09},
pages = {},
title = {Adaptive and Generic Corner Detection Based on the Accelerated Segment Test}
}

@INPROCEEDINGS{orb2011,
	author={Rublee, Ethan and Rabaud, Vincent and Konolige, Kurt and Bradski, Gary},
	booktitle={Proceedings of the IEEE International Conference on Computer Vision (ICCV)},
	title={{ORB: An efficient alternative to SIFT or SURF}},
	year={2011},
	month={November},
	pages={2564--2571},
	doi={10.1109/ICCV.2011.6126544},
	ISSN={1550-5499}
}

@article{baft2017,
url = {http://sigport.org/2249},
author = {Jonas T. Arnfred; Viet Dung Nguyen; Stefan Winkler },
publisher = {IEEE SigPort},
title = {BAFT: Binary Affine Feature Transform},
year = {2017}
}

@article{brief2012,
 author = {Calonder, Michael and Lepetit, Vincent and Ozuysal, Mustafa and Trzcinski, Tomasz and Strecha, Christoph and Fua, Pascal},
 title = {BRIEF: Computing a Local Binary Descriptor Very Fast},
 journal = {IEEE Trans. Pattern Anal. Mach. Intell.},
 issue_date = {July 2012},
 volume = {34},
 number = {7},
 month = jul,
 year = {2012},
 issn = {0162-8828},
 pages = {1281--1298},
 numpages = {18},
 url = {http://dx.doi.org/10.1109/TPAMI.2011.222},
 doi = {10.1109/TPAMI.2011.222},
 acmid = {2225088},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA}
}

@article{brisk2011,
author = {Leutenegger, Stefan and Chli, Margarita and Siegwart, Roland},
year = {2011},
month = {11},
pages = {2548-2555},
title = {BRISK: Binary Robust invariant scalable keypoints},
booktitle = {Proceedings of the IEEE International Conference on Computer Vision}
}

@INPROCEEDINGS{freak2012, 
author={A. Alahi and R. Ortiz and P. Vandergheynst}, 
booktitle={2012 IEEE Conference on Computer Vision and Pattern Recognition}, 
title={FREAK: Fast Retina Keypoint}, 
year={2012}, 
volume={}, 
number={}, 
pages={510-517}, 
doi={10.1109/CVPR.2012.6247715}, 
ISSN={1063-6919}, 
month={June}
}

@INPROCEEDINGS{gftt1994,
	author={Shi, Jianbo and Tomasi, Carlo},
	booktitle={Proceedings of the IEEE Conference on Computer Vision and Pattern Recognition (CVPR)},
	title={{Good features to track}},
	year={1994},
	month={June},
	pages={593--600},
	doi={10.1109/CVPR.1994.323794},
	ISSN={1063-6919}
}

@article{latch2016,
author = {Levi, Gil and Hassner, Tal},
year = {2016},
month = {03},
pages = {1-9},
title = {LATCH: Learned arrangements of three patch codes}
}

@INPROCEEDINGS{ldb2012, 
author={Xin Yang and Kwang-Ting Cheng}, 
booktitle={2012 IEEE International Symposium on Mixed and Augmented Reality (ISMAR)}, 
title={LDB: An ultra-fast feature for scalable Augmented Reality on mobile devices}, 
year={2012}, 
volume={}, 
number={}, 
pages={49-57}, 
doi={10.1109/ISMAR.2012.6402537}, 
ISSN={}, 
month={Nov},}

@Article{locky2016,
author="Lomeli-R., Jaime
and Nixon, Mark S.",
title="An extension to the brightness clustering transform and locally contrasting keypoints",
journal="Machine Vision and Applications",
year="2016",
month="Nov",
day="01",
volume="27",
number="8",
pages="1187--1196",
issn="1432-1769",
doi="10.1007/s00138-016-0785-3",
url="https://doi.org/10.1007/s00138-016-0785-3"
}

@article{anms2018,
author = {Bailo, Oleksandr and Rameau, François and Joo, Kyungdon and Park, Jinsun and Bogdan, Oleksandr and So Kweon, In},
year = {2018},
month = {02},
pages = {},
title = {Efficient adaptive non-maximal suppression algorithms for homogeneous spatial keypoint distribution},
volume = {106},
booktitle = {Pattern Recognition Letters}
}

@ARTICLE{flann2014, 
author={M. Muja and D. G. Lowe}, 
journal={IEEE Transactions on Pattern Analysis and Machine Intelligence}, 
title={Scalable Nearest Neighbor Algorithms for High Dimensional Data}, 
year={2014}, 
volume={36}, 
number={11}, 
pages={2227-2240}, 
doi={10.1109/TPAMI.2014.2321376}, 
ISSN={0162-8828}, 
month={Nov}
}

@INPROCEEDINGS{gms2017, 
author={J. Bian and W. Lin and Y. Matsushita and S. Yeung and T. Nguyen and M. Cheng}, 
booktitle={2017 IEEE Conference on Computer Vision and Pattern Recognition (CVPR)}, 
title={GMS: Grid-Based Motion Statistics for Fast, Ultra-Robust Feature Correspondence}, 
year={2017}, 
volume={}, 
number={}, 
pages={2828-2837}, 
doi={10.1109/CVPR.2017.302}, 
ISSN={1063-6919}, 
month={July}
}

@article{article,
author = {Korrapati, Hemanth and Courbon, Jonathan and Alizon, Serge and Marmoiton, François},
year = {2013},
month = {06},
pages = {},
title = {"The Institut Pascal Data Sets" : un jeu de données en extérieur, multicapteurs et datées avec réalité terrain, données d'étalonnage et outils logiciels}
}

@article{euroc2016,
author = {Burri, Michael and Nikolic, Janosch and Gohl, Pascal and Schneider, Thomas and Rehder, Joern and Omari, Sammy and Achtelik, Markus and Siegwart, Roland},
year = {2016},
month = {01},
pages = {},
title = {The EuRoC micro aerial vehicle datasets},
volume = {35},
booktitle = {The International Journal of Robotics Research}
}

@article{mit2013,
author = {M. Fallon and H. Johannsson and Michael Kaess and J.J. Leonard},
title = {The MIT Stata Center Dataset},
journal = {Intl. J. of Robotics Research, IJRR},
year = {2013},
month = {December},
volume = {32},
number = {14},
pages = {1695-1699},
}

@inproceedings{level72012,
address = {Quebec, Canada},
author = {Liz Murphy and Timothy Morris and Ugo Fabrizi and Michael Warren and Michael Milford and Ben Upcroft and Michael Bosse and Peter Corke},
booktitle = {ISER},
keywords = {Stereo vision,computer vision,dataset,experimental robotics,visual odometry,odometry fusion},
mendeley-tags = {computer vision,experimental robotics,visual odometry,odometry fusion},
title = {{Experimental comparision of odometry approaches}},
year = {2012}
}

@book{binfan2015modern,
author = {Fan, Bin and Wang, Zhenhua and Wu, Fuchao},
year = {2015},
month = {01},
pages = {},
title = {Local Image Descriptor: Modern Approaches}
}

@INPROCEEDINGS{Harris88acombined,
    author = {Chris Harris and Mike Stephens},
    title = {A combined corner and edge detector},
    booktitle = {In Proc. of Fourth Alvey Vision Conference},
    year = {1988},
    pages = {147--151}
}

@article{mser2002,
author = {Matas, Jiri and Chum, Ondrej and Urban, Martin and Pajdla, Tomas},
year = {2002},
month = {01},
pages = {},
title = {Robust Wide Baseline Stereo from Maximally Stable Extremal Regions},
volume = {22(10)},
booktitle = {British Machine Vision Conference}
}

@InProceedings{bct2015,
author="Lomeli-R, J. and Nixon, Mark S.",
editor="Azzopardi, George and Petkov, Nicolai",
title="The Brightness Clustering Transformand Locally Contrasting Keypoints",
booktitle="Computer Analysis of Images and Patterns",
year="2015",
publisher="Springer International Publishing",
address="Cham",
pages="362--373",
}

@article{wta2011,
author = {Yagnik, Jay and Strelow, Dennis and A. Ross, David and Lin, Ruei-Sung},
year = {2011},
month = {11},
pages = {2431-2438},
title = {The Power ofComparative Reasoning},
booktitle = {Proceedings / IEEE International Conference on Computer Vision. IEEE International Conference on Computer Vision}
}

@misc{cvblog,
author = {Tombone, Malisiewicz T.},
title = {Computer Vision Blog},
note = {\url{http://www.computervisionblog.com/2016/01/why-slam-matters-future-of-real-time.html}}
}

@article{levenberg1944,
 ISSN = {0033569X, 15524485},
 author = {Levenberg, Kenneth},
 journal = {Quarterly of Applied Mathematics},
 number = {2},
 pages = {164--168},
 publisher = {Brown University},
 title = {A Method for the Solution of Ccertain Non-Linear Problems in Least Squares},
 volume = {2},
 year = {1944}
}

@article{marquardt1963,
 ISSN = {03684245},
 author = {Marquardt, Donald W.},
 journal = {Journal of the Society for Industrial and Applied Mathematics},
 number = {2},
 pages = {431--441},
 publisher = {Society for Industrial and Applied Mathematics},
 title = {An Algorithm for Least-Squares Estimation of Nonlinear Parameters},
 volume = {11},
 year = {1963}
}

@article{ipds2013,
author = {Korrapati, Hemanth and Courbon, Jonathan and Alizon, Serge and Marmoiton, François},
year = {2013},
month = {06},
pages = {},
title = {"The Institut Pascal Data Sets" : un jeu de données en extérieur, multicapteurs et datées avec réalité terrain, données d'étalonnage et outils logiciels}
}

@article{affineregions2003,
author = {Vergauwen, Maarten and Verbiest, Frank and Ferrari, V and Strecha, Christoph and Van Gool, Luc},
year = {2003},
pages = {},
title = {Wide-baseline 3D Reconstruction from Digital Stills}
}

@Inbook{sptam2017phd,
author = {Pire, Taihú},
year = {2017},
pages = {76--77},
title = {Localización y mapeo simultáneo mediante el uso de un sistema de visión estéreo}
}

@article{pire2017sptam,
title = {{S-PTAM: Stereo Parallel Tracking and Mapping}},
author = {Pire, Taih{\'u} and Fischer, Thomas and Castro, Gast{\'o}n and De Crist{\'o}foris, Pablo and Civera, Javier and Jacobo Berlles, Julio},
journal = {Robotics and Autonomous Systems (RAS)},
volume = {93},
pages = {27 -- 42},
year = {2017},
issn = {0921-8890},
doi = {10.1016/j.robot.2017.03.019}
}

@Article{scaleinvariant2017,
AUTHOR = {Zhang, Yunpeng and Wang, Chengyou and Zhou, Xiao},
TITLE = {RST Resilient Watermarking Scheme Based on DWT-SVD and Scale-Invariant Feature Transform},
JOURNAL = {Algorithms},
VOLUME = {10},
YEAR = {2017},
NUMBER = {2},
ARTICLE-NUMBER = {41},
URL = {http://www.mdpi.com/1999-4893/10/2/41},
ISSN = {1999-4893},
DOI = {10.3390/a10020041}
}

@ARTICLE{canny1986,
author={J. Canny},
journal={IEEE Transactions on Pattern Analysis and Machine Intelligence},
title={A Computational Approach to Edge Detection},
year={1986},
volume={PAMI-8},
number={6},
pages={679-698},
doi={10.1109/TPAMI.1986.4767851},
ISSN={0162-8828},
month={Nov},}

@article{gleason2011,
author={Josh Gleason},
title={BRISK (Presentation by Josh Gleason) at International Conference on Computer Vision},
year={2011},
}

@article{Mikolajczyk2004,
 author = {Mikolajczyk, Krystian and Schmid, Cordelia},
 title = {Scale \&Amp; Affine Invariant Interest Point Detectors},
 journal = {Int. J. Comput. Vision},
 issue_date = {October 2004},
 volume = {60},
 number = {1},
 month = oct,
 year = {2004},
 issn = {0920-5691},
 pages = {63--86},
 numpages = {24},
 url = {https://doi.org/10.1023/B:VISI.0000027790.02288.f2},
 doi = {10.1023/B:VISI.0000027790.02288.f2},
 acmid = {990402},
 publisher = {Kluwer Academic Publishers},
 address = {Hingham, MA, USA},
} 

@InProceedings{lift2016,
author="Yi, Kwang Moo and Trulls, Eduard and Lepetit, Vincent and Fua, Pascal",
editor="Leibe, Bastian and Matas, Jiri and Sebe, Nicu and Welling, Max",
title="LIFT: Learned Invariant Feature Transform",
booktitle="Computer Vision -- ECCV 2016",
year="2016",
publisher="Springer International Publishing",
address="Cham",
pages="467--483",
}

@article{makarenko2002,
author = {A. Makarenko, Alexei and Williams, Stefan and Bourgault, Frederic and F. Durrant-Whyte, Hugh},
year = {2002},
month = {02},
pages = {534 - 539 vol.1},
title = {An experiment in integrated exploration},
volume = {1},
isbn = {0-7803-7398-7}
}

@book{majumder2018,
  title={Introduction to Visual Computing: Core Concepts in Computer Vision, Graphics, and Image Processing},
  author={Majumder, A. and Gopi, M.},
  isbn={9781482244915},
  lccn={2017031856},
  series={A Chapman \& Hall book},
  year={2018},
  publisher={Taylor \& Francis Group}
}

@article{mur2016orbslam2,
  author    = {Raul Mur{-}Artal and
               Juan D. Tard{\'{o}}s},
  title     = {{ORB-SLAM2:} an Open-Source {SLAM} System for Monocular, Stereo and
               {RGB-D} Cameras},
  journal   = {CoRR},
  volume    = {abs/1610.06475},
  year      = {2016},
  url       = {http://arxiv.org/abs/1610.06475},
  archivePrefix = {arXiv},
  eprint    = {1610.06475},
  timestamp = {Mon, 13 Aug 2018 16:49:16 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/Mur-ArtalT16a},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}

@INPROCEEDINGS{sanfourche2013, 
author={M. Sanfourche and V. Vittori and G. Le Besnerais}, 
booktitle={2013 IEEE/RSJ International Conference on Intelligent Robots and Systems}, 
title={eVO: A realtime embedded stereo odometry for MAV applications}, 
year={2013}, 
volume={}, 
number={}, 
pages={2107-2114}, 
keywords={aerospace robotics;distance measurement;helicopters;navigation;path planning;real-time systems;stereo image processing;eVO;realtime embedded stereo odometry;MAV applications;navigation;miniature aerial vehicle;GPS-denied environments;embedded visual localization method;stereo visual odometry algorithm;quadricopter MAV;keyframe scheme;KITTI odometry benchmark;autonomous 3D environment modeling;Feature extraction;Trajectory;Visualization;Three-dimensional displays;Simultaneous localization and mapping;Estimation;Cameras}, 
doi={10.1109/IROS.2013.6696651}, 
ISSN={2153-0858}, 
month={Nov},}

@INPROCEEDINGS{weiss2012, 
author={S. Weiss and M. W. Achtelik and S. Lynen and M. Chli and R. Siegwart}, 
booktitle={2012 IEEE International Conference on Robotics and Automation}, 
title={Real-time onboard visual-inertial state estimation and self-calibration of MAVs in unknown environments}, 
year={2012}, 
volume={}, 
number={}, 
pages={957-964}, 
keywords={aircraft;cameras;computational complexity;inertial navigation;microrobots;mobile robots;pose estimation;robot vision;real-time onboard visual-inertial state estimation;MAV self-calibration;unknown environments;visual sensors;inertial sensors;robot navigation;micro aerial vehicle navigation;ground station;on-board processing;camera;inertial measurement unit;speed-estimation module;metric body-speed sensor;EKF framework;fall-back solution;keyframe-based VSLAM module;scalable 6DoF pose estimation;constant complexity;observability analysis;onboard Atom computer 1.6 GHz;Navigation;Weight measurement;Atom optics;Optical sensors;Robustness;Equations;Estimation}, 
doi={10.1109/ICRA.2012.6225147}, 
ISSN={1050-4729}, 
month={May},}

@INPROCEEDINGS{burri2015, 
author={M. Burri and H. Oleynikova and M. W. Achtelik and R. Siegwart}, 
booktitle={2015 IEEE/RSJ International Conference on Intelligent Robots and Systems (IROS)}, 
title={Real-time visual-inertial mapping, re-localization and planning onboard MAVs in unknown environments}, 
year={2015}, 
volume={}, 
number={}, 
pages={1872-1878}, 
doi={10.1109/IROS.2015.7353622}, 
ISSN={}, 
month={Sept},}

@article{leutnegger2015,
author = {Stefan Leutenegger and Simon Lynen and Michael Bosse and Roland Siegwart and Paul Furgale},
title ={Keyframe-based visual–inertial odometry using nonlinear optimization},
journal = {The International Journal of Robotics Research},
volume = {34},
number = {3},
pages = {314-334},
year = {2015},
doi = {10.1177/0278364914554813},
URL = {https://doi.org/10.1177/0278364914554813},
}

@INPROCEEDINGS{nikolic2014, 
author={J. Nikolic and J. Rehder and M. Burri and P. Gohl and S. Leutenegger and P. T. Furgale and R. Siegwart}, 
booktitle={2014 IEEE International Conference on Robotics and Automation (ICRA)}, 
title={A synchronized visual-inertial sensor system with FPGA pre-processing for accurate real-time SLAM}, 
year={2014}, 
volume={}, 
number={}, 
pages={431-437},  
doi={10.1109/ICRA.2014.6906892}, 
ISSN={1050-4729}, 
month={May},}

@INPROCEEDINGS{schauwecker12markerlessvisual,
    author = {Konstantin Schauwecker and Nan Rosemary Ke and Sebastian Andreas Scherer and Andreas Zell},
    title = {Markerless Visual Control of a Quad-Rotor Micro Aerial Vehicle by},
    booktitle = {Means of On-Board Stereo Processing”, in Autonomous Mobile System Conference (AMS},
    year = {2012},
    pages = {11--20},
    publisher = {Springer}
}

@Article{schauwecker2014,
author="Schauwecker, Konstantin
and Zell, Andreas",
title="On-Board Dual-Stereo-Vision for the Navigation of an Autonomous MAV",
journal="Journal of Intelligent {\&} Robotic Systems",
year="2014",
month="Apr",
day="01",
volume="74",
number="1",
pages="1--16",
issn="1573-0409",
doi="10.1007/s10846-013-9907-6",
url="https://doi.org/10.1007/s10846-013-9907-6"
}

@ARTICLE{mis-slam2018, 
author={J. Song and J. Wang and L. Zhao and S. Huang and G. Dissanayake}, 
journal={IEEE Robotics and Automation Letters}, 
title={MIS-SLAM: Real-Time Large-Scale Dense Deformable SLAM System in Minimal Invasive Surgery Based on Heterogeneous Computing}, 
year={2018}, 
volume={3}, 
number={4}, 
pages={4068-4075}, 
keywords={augmented reality;medical robotics;object tracking;pose estimation;real-time systems;SLAM (robots);surgery;dense mapping;MIS-SLAM;large-scale dense deformable SLAM system;minimal invasive surgery;heterogeneous computing;real-time simultaneous localization;ORB-SLAM;large-scale scope localizing;robust global pose;CPU;GPU;blurry images;Graphics processing units;Simultaneous localization and mapping;Three-dimensional displays;Robustness;Surgery;Strain;Real-time systems;SLAM;soft-tissue;surgical vision}, 
doi={10.1109/LRA.2018.2856519}, 
ISSN={2377-3766}, 
month={Oct},}

@inproceedings{lynen2015getout,
  title={Get Out of My Lab: Large-scale, Real-Time Visual-Inertial Localization},
  author={Simon Lynen and Torsten Sattler and Michael Bosse and Joel A. Hesch and Marc Pollefeys and Roland Siegwart},
  booktitle={Robotics: Science and Systems},
  year={2015}
}

@InProceedings{sattler2012,
author="Sattler, Torsten
and Leibe, Bastian
and Kobbelt, Leif",
editor="Fitzgibbon, Andrew
and Lazebnik, Svetlana
and Perona, Pietro
and Sato, Yoichi
and Schmid, Cordelia",
title="Improving Image-Based Localization by Active Correspondence Search",
booktitle="Computer Vision -- ECCV 2012",
year="2012",
publisher="Springer Berlin Heidelberg",
address="Berlin, Heidelberg",
pages="752--765",
isbn="978-3-642-33718-5"
}

@INPROCEEDINGS{strasdat2011, 
author={H. Strasdat and A. J. Davison and J. M. M. Montiel and K. Konolige}, 
booktitle={2011 International Conference on Computer Vision}, 
title={Double window optimisation for constant time visual SLAM}, 
year={2011}, 
volume={}, 
number={}, 
pages={2352-2359}, 
doi={10.1109/ICCV.2011.6126517}, 
ISSN={2380-7504}, 
month={Nov},}

@Article{Engel-et-al-pami2018,
  author = "J. Engel and V. Koltun and D. Cremers",
  title = "Direct Sparse Odometry",
  journal = "IEEE Transactions on Pattern Analysis and Machine Intelligence",
  year = "2018",
  month = mar,
  titleurl = {engel_et_al_pami2018.pdf},
  keywords={mono-ds,dso,directsparseodometry}
}

@INPROCEEDINGS{Zhang18iros,
  author = "Zhang, Zichao and Scaramuzza, Davide",
  title = "A Tutorial on Quantitative Trajectory Evaluation for Visual(-Inertial) Odometry",
  booktitle = "IEEE/RSJ Int. Conf. Intell. Robot. Syst. (IROS)",
  year = "2018"
}

@inproceedings{pillai15monocularslam,
   Title = {Monocular SLAM Supported Object Recognition},
   Author = {Pillai, Sudeep AND Leonard, John},
   Booktitle = {Proceedings of Robotics: Science and Systems (RSS)},
   Address = {Rome, Italy},
   Month = {July},
   Year = {2015}}

@INPROCEEDINGS{lowe99sift, 
author={D. G. Lowe}, 
booktitle={Proceedings of the Seventh IEEE International Conference on Computer Vision}, 
title={Object recognition from local scale-invariant features}, 
year={1999}, 
volume={2}, 
number={}, 
pages={1150-1157 vol.2}, 
keywords={object recognition;feature extraction;computational geometry;image matching;least squares approximations;local scale-invariant features;local image features;3D projection;inferior temporal cortex;primate vision;staged filtering approach;local geometric deformations;blurred image gradients;multiple orientation planes;nearest neighbor indexing method;candidate object matches;low residual least squares solution;unknown model parameters;robust object recognition;cluttered partially occluded images;computation time;Object recognition;Electrical capacitance tomography;Image recognition;Lighting;Neurons;Computer science;Reactive power;Filters;Programmable logic arrays;Layout}, 
doi={10.1109/ICCV.1999.790410}, 
ISSN={}, 
month={Sept},}

@INPROCEEDINGS{edgeSLAM,
author={S. Maity and A. Saha and B. Bhowmick},
booktitle={2017 IEEE International Conference on Computer Vision Workshops (ICCVW)},
title={Edge SLAM: Edge Points Based Monocular Visual SLAM},
year={2017},
volume={},
number={},
pages={2408-2417},
keywords={cameras;computer vision;edge detection;feature extraction;image reconstruction;image texture;object detection;object tracking;SLAM (robots);edge points based monocular visual SLAM;camera estimation;feature based monocular visual SLAM;edge-point tracking;Edge SLAM pipeline;Simultaneous localization and mapping;Image edge detection;Cameras;Estimation;Pipelines;Reliability;Visualization},
doi={10.1109/ICCVW.2017.284},
ISSN={2473-9944},
month={Oct},}

@ARTICLE{structSLAM,
author={H. Zhou and D. Zou and L. Pei and R. Ying and P. Liu and W. Yu},
journal={IEEE Transactions on Vehicular Technology},
title={StructSLAM: Visual SLAM With Building Structure Lines},
year={2015},
volume={64},
number={4},
pages={1364-1375},
keywords={building management systems;image sensors;Kalman filters;nonlinear filters;robot vision;SLAM (robots);structural engineering;StructSLAM;visual SLAM;building structure lines;degree-of-freedom;DoF;simultaneous localization and mapping method;structural regularity;man-made building environments;global orientation information;camera;accumulated orientation errors;position drift;extended Kalman filter visual SLAM method;dominant directions;structure lines;public RAWSEEDS data sets;odometer;loop closing algorithm;computer vision;robotics communities;Simultaneous localization and mapping;Image segmentation;Cameras;Visualization;Buildings;Vectors;Three-dimensional displays;Visual SLAM;Indoor Scenes;Manhattan-World Assumption;Line Features;Indoor scenes;line features;Manhattan-world assumption;visual simultaneous localization and mapping (SLAM)},
doi={10.1109/TVT.2015.2388780},
ISSN={0018-9545},
month={April},}

@ARTICLE{evaluationDescriptors,
author={A. Hammam and M. Hassaballah and A. Abdelmgeid and G. Wang},
title={An Experimental Evaluation of Binary Feature Descriptors},
year={2017},
volume={},
number={},
pages={181-191},
doi={10.1007/978-3-319-64861-3_17},
month={Sept},}

@Article{Lindeberg1998,
author="Lindeberg, Tony",
title="Feature Detection with Automatic Scale Selection",
journal="International Journal of Computer Vision",
year="1998",
month="Nov",
day="01",
volume="30",
number="2",
pages="79--116",
issn="1573-1405",
doi="10.1023/A:1008045108935",
url="https://doi.org/10.1023/A:1008045108935"
}

% Bundle Adjustment best reference
@Inbook{Triggs:etal:ICCVC00,
	author={Triggs, Bill and McLauchlan, Philip F. and Hartley, Richard I. and Fitzgibbon, Andrew W.},
	title={{Bundle Adjustment --- A Modern Synthesis}},
	bookTitle={Vision Algorithms: Theory and Practice: International Workshop on Vision Algorithms Corfu, Greece, September 21--22, 1999 Proceedings},
	year={2000},
	chapter={21},
    pages={298--372},
	publisher={Springer Berlin Heidelberg},
	address={Berlin, Heidelberg},
	isbn={978-3-540-44480-0},
	doi={10.1007/3-540-44480-7_21},
	url={http://dx.doi.org/10.1007/3-540-44480-7_21}
}

@INPROCEEDINGS{ribas2006sonar, 
author={D. Ribas and P. Ridao and J. Neira and J. D. Tardos}, 
booktitle={2006 IEEE/RSJ International Conference on Intelligent Robots and Systems}, 
title={SLAM using an Imaging Sonar for Partially Structured Underwater Environments}, 
year={2006}, 
volume={}, 
number={}, 
pages={5040-5045},  
doi={10.1109/IROS.2006.282532}, 
ISSN={2153-0858}, 
month={Oct},}

@Article{Engel2015talk,
author="Engel, Jakob",
title=" Semi-Dense Direct SLAM",
journal="Talk on International Conference on Computer Vision",
year="2015",
month="Dec",
day="18",
}

@InProceedings{deepdesc,
   author    = {Edgar Simo-Serra and Eduard Trulls and Luis Ferraz and Iasonas Kokkinos and Pascal Fua and Francesc Moreno-Noguer},
   title     = {{Discriminative Learning of Deep Convolutional Feature Point Descriptors}},
   booktitle = "Proceedings of the International Conference on Computer Vision (ICCV)",
   year      = 2015,
}


@inproceedings{matchnet,
title = "MatchNet: Unifying feature and metric learning for patch-based matching",
author = "Xufeng Han and Thomas Leung and Yangqing Jia and Rahul Sukthankar and Berg, {Alexander C.}",
year = "2015",
month = "10",
day = "14",
doi = "10.1109/CVPR.2015.7298948",
language = "English (US)",
volume = "07-12-June-2015",
pages = "3279--3286",
booktitle = "IEEE Conference on Computer Vision and Pattern Recognition, CVPR 2015",
publisher = "IEEE Computer Society",
}

@article{pn-net,
author = {Balntas, Vassileios and Johns, Edward and Tang, Lilian and Mikolajczyk, Krystian},
year = {2016},
month = {01},
pages = {},
title = {PN-Net: Conjoined Triple Deep Network for Learning Local Image Descriptors}
}

@article{d-sifer,
author = {Mainali, Pradip and Lafruit, Gauthier and Tack, Klaas and Van Gool, Luc and Lauwereins, Rudy},
year = {2014},
month = {04},
pages = {},
title = {D-SIFER: Derivative-based Scale Invariant Image Feature Detector with Error Resilience.},
volume = {23},
journal = {IEEE transactions on image processing : a publication of the IEEE Signal Processing Society},
doi = {10.1109/TIP.2014.2315959}
}

@article{dlloopclosure,
  author    = {Yi Hou and
               Hong Zhang and
               Shilin Zhou},
  title     = {Convolutional Neural Network-Based Image Representation for Visual
               Loop Closure Detection},
  journal   = {CoRR},
  volume    = {abs/1504.05241},
  year      = {2015},
  url       = {http://arxiv.org/abs/1504.05241},
  archivePrefix = {arXiv},
  eprint    = {1504.05241},
  timestamp = {Mon, 13 Aug 2018 16:48:18 +0200},
  biburl    = {https://dblp.org/rec/bib/journals/corr/HouZZ15},
  bibsource = {dblp computer science bibliography, https://dblp.org}
}
